# Generated from bson-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname rhc-rest
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.9.1

Summary: Ruby bindings for OpenShift REST API
Name: rubygem-%{gemname}
Version: 0.0.7
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0 
URL: http://openshift.redhat.com
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem

Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: rubygem(json)
Requires: rubygem(rest)
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Ruby bindings for OpenShift REST API

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

# Bug with the current GEM, these will be fixed next version
rm -f %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/doc/doc/created.rid
rmdir %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/doc/doc
chmod 0664 %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/doc/images/{add,delete,tag_blue}.png
chmod 0755 %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/bin/sample-usage.rb

%check

%files
%doc %{gemdir}/gems/%{gemname}-%{version}/LICENSE
%{gemdir}/

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}

%changelog
* Mon Apr 09 2012 Wesley Hearn <whearn@redhat.com> - 0.0.7-1
- Initial package
